$ErrorActionPreference = 'Stop';

$packageName = 'teamviewer'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.teamviewer.com/download/version_12x/TeamViewer_Setup.exe'
$url64      = 'https://download.teamviewer.com/download/version_12x/TeamViewer_Setup.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url64

  softwareName  = 'teamviewer*'

  checksum      = 'c4e3e3a7f31c2e5aa3a6b981cb82e43a797d366fb8d370102134429ab8e14ec3'
  checksumType  = 'sha256'
  checksum64    = 'c4e3e3a7f31c2e5aa3a6b981cb82e43a797d366fb8d370102134429ab8e14ec3'
  checksumType64= 'sha256'

  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
